<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

function cleanHtmlTag($text){
    $text = filter_var($text, FILTER_SANITIZE_STRING);
    return $text;
}

$url = base_url("resources/template/berita_acara/bas_agama/".$blangko_bas_pertama_agama.".rtf");

$Template = file_get_contents($url);

$nomor_perkara = $dataperkara->row(0)->nomor_perkara;
$tgl_pendaftaran = $this->templatehelper->convertKeTglIndo($dataperkara->row(0)->tanggal_pendaftaran);
$namakota = $datapengadilan->row(0)->NamaPN;

$id_urutan =0;
if($datapersidangan!=''){
    if($datapersidangan->num_rows>0){
        foreach ($datapersidangan->result() as $row) {
            //$nextsidang = $idjadwal+1;
            if ($id_urutan>0){
                $nextsidang = $id_urutan+1;
                    if($nextsidang=$row->urutan){
                        $tgl_sidang_tunda = $row->tanggal_sidang;
                    }
            }
            if($row->id==$idjadwal){
                $id_urutan = $row->urutan;
                $tgl_sidang = $row->tanggal_sidang;
            }
        }
    }
}

$i=0;
$penetapan = '';
foreach ($datapenetapanhakim->result() as $row) {
    $i++;
    if($row->jabatan_hakim_id==1){
        $penetapan .=$i.". ".$this->templatehelper->standradnaming($row->nama_gelar)." \\tab "."sebagai ".$row->jabatan_hakim_nama.";\\par".PHP_EOL;
    }elseif($row->jabatan_hakim_id==2){
        $penetapan .=$i.". ".$this->templatehelper->standradnaming($row->nama_gelar)." \\tab "."sebagai ".$row->jabatan_hakim_nama.";";
        if ($row->urutan==2){
            $penetapan.="\\par".PHP_EOL;
        }elseif($row->urutan==3){
            $penetapan.="dan dibantu";
        }
    }elseif($row->jabatan_hakim_id==3){
        if ($datapenetapanhakim->num_rows() >1){
            $penetapan .=$i.". ";  
        }
        $penetapan .=$this->templatehelper->standradnaming($row->nama_gelar)." \\tab "."sebagai ".$row->jabatan_hakim_nama."; dan dibantu";
    }
    $tanggalpenetapanhakim = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
    
}
$Template = str_replace('#majelis#',$penetapan,$Template);

if(!empty($tgl_sidang_tunda)){
    $tgl_sidang_tunda = $this->templatehelper->convertKeTglIndo($tgl_sidang_tunda);
    $hari_sidang_tunda =  $this->templatehelper->getHari($tgl_sidang_tunda);
}else{
    $tgl_sidang_tunda = '----------------------------';
    $hari_sidang_tunda = '----------------------------';
}

$Template = str_replace("#TGL_SIDANG#", $this->templatehelper->convertKeTglIndo($tgl_sidang) ,$Template);
$Template = str_replace("#HARI_SIDANG#", $this->templatehelper->getHari($tgl_sidang) ,$Template);
$Template = str_replace("#TGL_SIDANG_TUNDA#", $tgl_sidang_tunda ,$Template);
$Template = str_replace("#HARI_SIDANG_TUNDA#", $hari_sidang_tunda ,$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak1->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_P##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_P##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$pihak_array = str_replace("#DKK#",'', $pihak_array);
$Template = str_replace("#loopingpenggugat#",$pihak_array,$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak2->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_T##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_T##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$pihak_array = str_replace("#DKK#",'', $pihak_array);
$Template = str_replace("#loopingtergugat#",$pihak_array,$Template);

$idperkara=$this->encrypt->decode(base64_decode($enc));
$idalurperkara = $this->tanggalhelper->getIDAlurPerkara($idperkara);
$jenisPerkaraID=$this->tanggalhelper->getIDJenisPerkara($idperkara);

if ($idalurperkara=='15') {
    $Template = str_replace("#jenis_perkara#",''."Gugatan".'',$Template);
    if ($jenisPerkaraID==346) {
        $Template = str_replace("#jenis_pihak1#",''."Pemohon".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''."Termohon".'',$Template);
		$Template = str_replace("#SEBAGAI_P#","Pemohon",$Template);
		$Template = str_replace("#SEBAGAI_T#","Termohon",$Template);
    }elseif($blangko_bas_pertama_agama=='PDT_15_14_200_8'){
        $Template = str_replace("#jenis_pihak1#",''."Pelawan".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''."Terlawan".'',$Template);
		$Template = str_replace("#SEBAGAI_P#","Pelawan",$Template);
		$Template = str_replace("#SEBAGAI_T#","Terlawan",$Template);
    }else{
        $Template = str_replace("#jenis_pihak1#",''."Penggugat".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''."Tergugat".'',$Template);
        $Template = str_replace("#SEBAGAI_P#","Penggugat",$Template);
        $Template = str_replace("#SEBAGAI_T#","Tergugat",$Template);
    }
}else{
    $Template = str_replace("#jenis_perkara# ",''." Permohonan ".'',$Template);   
    $Template = str_replace("#jenis_pihak1#",''." Pemohon ".'',$Template);
    $Template = str_replace("#jenis_pihak2#",''." Termohon ".'',$Template);
    $Template = str_replace("#SEBAGAI_P#","Pemohon",$Template);
    $Template = str_replace("#SEBAGAI_T#","Termohon",$Template);
}
/* //$Template = str_replace("#NAMA_P#",$dataPihak1->row(0)->nama,$Template);
$namaPihak1 = '........................';
if(!empty($dataPihak1)){
	if ($dataPihak1->num_rows > 0){
		$namaPihak1 = $dataPihak1->row(0)->nama;
	}
}
$Template = str_replace("#NAMA_P#",$namaPihak1,$Template);
$namaPihak2 = '........................';
if(!empty($dataPihak2)){
	if ($dataPihak2->num_rows > 0){
		$namaPihak2 = $dataPihak2->row(0)->nama;
	}
}
$Template = str_replace("#NAMA_T#",$namaPihak2,$Template); */
//Pihaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaak
$Template = str_replace("#nomor_perkara#",$dataperkara->row(0)->nomor_perkara,$Template);
$Template = str_replace("#NOMOR_PERKARA#",$dataperkara->row(0)->nomor_perkara,$Template);
$Template = str_replace("#nama_pp#",$datapaniterapengganti->row(0)->nama_gelar,$Template);
$Template = str_replace("#hakim_ketua#",$datapenetapanhakim->row(0)->nama_gelar,$Template);
$Template = str_replace("#nama_pa#",ucwords(strtolower($datapengadilan->row(0)->NamaPN)),$Template);
if(substr(ucwords(strtolower($datapengadilan->row(0)->NamaPN)),0,1)=="P"){$jenis_satker="Pengadilan Agama";}else{$jenis_satker="Mahkamah Syar'iah";}
$Template = str_replace("#JENIS_SATKER#",$jenis_satker,$Template);

$Template = str_replace("#ZONA#",$datapengadilan->row(0)->ZonaWaktu,$Template);
//$Template = str_replace("#amar_putusan#",''.$this->templatehelper->cleanHtmlTagSpecial($dataamar->row(0)->amar_putusan).'',$Template);

if($datapenetapanhakim->num_rows>0){
    foreach ($datapenetapanhakim->result() as $row) {
       /* $keterangan = $row->keterangan;
        if ($keterangan == ''){
            $keterangan = '..........';
        }
        $Template = str_replace("#alasan#",''.$keterangan.'',$Template);*/
        
        if($row->jabatan_hakim_id==3){
            $ketuaMajelis = $row->nama_gelar;
            $hakimAnggota1 = ".......";
            $hakimAnggota2 = ".......";
        }else{
            if(($row->urutan)==1){
                $ketuaMajelis = $row->nama_gelar;
            }elseif(($row->urutan)==2){
                $hakimAnggota1 = $row->nama_gelar;
            }elseif(($row->urutan)==3){
                $hakimAnggota2 = $row->nama_gelar;
            }
        }
    }
}   

$Template = str_replace("#NAMA_MAJELIS#",''.$ketuaMajelis.'',$Template);
$Template = str_replace("#NAMA_ANGGOTA1#",''.$hakimAnggota1.'',$Template);
$Template = str_replace("#NAMA_ANGGOTA2#",''.$hakimAnggota2.'',$Template);  

if($datamediator!=''){
    if($datamediator->num_rows>0){
        foreach ($datamediator->result() as $mediator) {
            $namaMediator = $mediator->mediator_text;
        }
        $Template = str_replace("#NAMA_MEDIATOR#",''.$namaMediator.'',$Template);
    }
}

if($dataputusanverstek!=''){
    if($dataputusanverstek->num_rows>0){
        foreach ($dataputusanverstek->result() as $putusan) {
            $amarPutusan = $this->templatehelper->cleanHtmlTagSpecial($putusan->amar_putusan);
        }
        $Template = str_replace("#AMAR#",''.$amarPutusan.'',$Template);
    }
}
if($dataputusansela!=''){
    if($dataputusansela->num_rows>0){
        foreach ($dataputusansela->result() as $sela) {
            $amarPutusansela = $this->templatehelper->cleanHtmlTagSpecial($sela->amar_sela);
            $tgl_putusansela = $this->templatehelper->convertKeTglIndo($sela->tanggal_putusan_sela);
            $hari_putusansela = $this->templatehelper->getHari($sela->tanggal_putusan_sela);
            $tgl_putusanselaHijriah = $this->templatehelper->convertToHijriah($sela->tanggal_putusan_sela);
        }
        $Template = str_replace("#PENETAPANSELA#",''.$amarPutusansela.'',$Template);
        $Template = str_replace("#TANGGALSELA#",''.$tgl_putusansela.'',$Template);
        $Template = str_replace("#HARISELA#",''.$hari_putusansela.'',$Template);
        $Template = str_replace("#TGL_HIJRIAH#",''.$tgl_putusanselaHijriah.'',$Template);
    }else {
		$Template = str_replace("#PENETAPANSELA#",''." ........amar putusan sela....... ".'',$Template);
        $Template = str_replace("#TANGGALSELA#",''." ............... ".'',$Template);
        $Template = str_replace("#HARISELA#",''." ............... ".'',$Template);
        $Template = str_replace("#TGL_HIJRIAH#",''." ............... ".'',$Template);
	}
}

$temp = explode(' ', ($datapengadilan->row(0)->NamaPN));
$Template = str_replace("#pa/ms#",''. ucwords(strtolower($temp[0].' '. $temp[1])).'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"BAS_Pertama-$nomor_perkara-$tgl_sidang.rtf\"");
echo $Template;
?>